//    Openbravo POS is a point of sales application designed for touch screens.
//    Copyright (C) 2007-2009 Openbravo, S.L.
//    http://www.openbravo.com/product/pos
//
//    This file is part of Openbravo POS.
//
//    Openbravo POS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Openbravo POS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Openbravo POS.  If not, see <http://www.gnu.org/licenses/>.

report = new com.openbravo.pos.reports.PanelReportBean();

report.setTitleKey("Menu.TFCCategorySales");
report.setReport("/com/openbravo/reports/TFCCategorySales");
report.setResourceBundle("com/openbravo/reports/TFCCategorySales_messages");

report.setSentence(
            "SELECT " +
			"CATEGORIES.NAME, SUM(TICKETLINES.UNITS) AS QTY, " +
			"SUM(TICKETLINES.PRICE * TICKETLINES.UNITS) AS CATPRICE, " +
			"SUM((TICKETLINES.PRICE * TAXES.RATE ) * TICKETLINES.UNITS) AS CATTAX, "+
			"SUM((TICKETLINES.PRICE + TICKETLINES.PRICE * TAXES.RATE ) * TICKETLINES.UNITS) AS CATTOTAL " +
			"FROM TICKETLINES, TICKETS, RECEIPTS, TAXES, PRODUCTS, CATEGORIES " +
			"WHERE CATEGORIES.ID = PRODUCTS.CATEGORY " +
			"AND TICKETLINES.PRODUCT = PRODUCTS.ID " +
			"AND TICKETLINES.TICKET = TICKETS.ID " +
			"AND TICKETS.ID = RECEIPTS.ID " +
			"AND TICKETLINES.TAXID = TAXES.ID " +
			"AND TICKETLINES.PRODUCT IS NOT NULL " +
			"AND ?(QBF_FILTER) " +
            "GROUP BY CATEGORIES.NAME " +
            "ORDER BY CATEGORIES.NAME");
report.addParameter("RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
report.addQBFFilter(new com.openbravo.pos.reports.JParamsDatesInterval());

report.addField("NAME", com.openbravo.data.loader.Datas.STRING);
report.addField("QTY", com.openbravo.data.loader.Datas.STRING);
report.addField("CATPRICE", com.openbravo.data.loader.Datas.DOUBLE);
report.addField("CATTAX", com.openbravo.data.loader.Datas.DOUBLE);
report.addField("CATTOTAL", com.openbravo.data.loader.Datas.DOUBLE);

report;