//    Openbravo POS is a point of sales application designed for touch screens.
//    Copyright (C) 2007-2009 Openbravo, S.L.
//    http://www.openbravo.com/product/pos
//
//    This file is part of Openbravo POS.
//
//    Openbravo POS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Openbravo POS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Openbravo POS.  If not, see <http://www.gnu.org/licenses/>.

report = new com.openbravo.pos.reports.PanelReportBean();

report.setTitleKey("Menu.SalesChart");
report.setReport("/com/openbravo/reports/chartsales");
report.setResourceBundle("com/openbravo/reports/chartsales_messages");

report.setSentence("SELECT CLOSEDCASH.HOST, PEOPLE.ID, PEOPLE.NAME, SUM(TICKETLINES.UNITS * TICKETLINES.PRICE) AS TOTAL " +
                 "FROM CLOSEDCASH, RECEIPTS, TICKETS, PEOPLE, TICKETLINES " +
                 "WHERE CLOSEDCASH.MONEY = RECEIPTS.MONEY AND RECEIPTS.ID = TICKETS.ID AND TICKETS.ID = TICKETLINES.TICKET AND TICKETS.PERSON = PEOPLE.ID AND ?(QBF_FILTER) " +
                 "GROUP BY CLOSEDCASH.HOST, PEOPLE.ID, PEOPLE.NAME");
report.addParameter("RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
report.addQBFFilter(new com.openbravo.pos.reports.JParamsDatesInterval());

report.addField("HOST", com.openbravo.data.loader.Datas.STRING);
report.addField("PERSON", com.openbravo.data.loader.Datas.STRING);
report.addField("NAME", com.openbravo.data.loader.Datas.STRING);
report.addField("TOTAL", com.openbravo.data.loader.Datas.DOUBLE);

report;
